Subject: Re: [PATCH 2/2] powerpc/44x: Fix xmon single step on PowerPC 44x

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 24 Sep 2009 08:40:36 +1000

On Wed, 2009-09-23 at 18:35 -0400, Josh Boyer wrote:

> >Any reason why that couldn't be in CONFIG_BOOKE ?
> 
> Off the top of my head, no.  I haven't tested on 40x yet though.  Will try
> and do that and revise.

Does 40x have CONFIG_BOOKE ? I was thinking more about FSL etc... but
yeah, 40x is worth having a look too.

> It could be.  I have no external debugger, thus no way to check it.  You don't
> get an exception without IDM set though, so it won't trap back into xmon like
> it should.  This is how we did it in arch/ppc (which isn't always a great
> thing) as well.

Ok, let's leave it there for now.

> I don't see how you could get it working without IDM, unless you inserted a
> trap (aka breakpoint) every time.  That seems sort of suboptimal when we have
> the IC event we can use.

The question is more whether IDM should be set once for all at boot (or
not) but let's ignore that for now.

Ben.